## com.google.common.hash
Interface Funnel<T>

All Superinterfaces:
  Serializable

    @Beta
    public interface Funnel<T>

extends Serializable

An object which can send data from an object of type `T` into a `PrimitiveSink`.

Since:
  11.0
Author:
  Dimitris Andreou

Method Summary
`void` `funnel(T from, PrimitiveSink into)` Sends a stream of data from the `from` object into the sink `into`.

Method Detail

### funnel

    void funnel(T from,
                PrimitiveSink into)

  Sends a stream of data from the `from` object into the sink `into`. There is no requirement that this data be complete enough to fully reconstitute the object later.

  Since:
    12.0 (in 11.0 version, `PrimitiveSink` was still called `Sink`)

Copyright © 2010-2012. All Rights Reserved.